import { Instance, Connection, BelongsToGetAssociationMixin, BelongsToSetAssociationMixin, BelongsToCreateAssociationMixin, BelongsToManyGetAssociationsMixin, BelongsToManySetAssociationsMixin, BelongsToManyAddAssociationsMixin, BelongsToManyAddAssociationMixin, BelongsToManyCreateAssociationMixin, BelongsToManyRemoveAssociationMixin, BelongsToManyRemoveAssociationsMixin, BelongsToManyHasAssociationMixin, BelongsToManyHasAssociationsMixin, BelongsToManyCountAssociationsMixin } from 'sequelize';
import Sequelize = require('sequelize');
import { UserAttributes, UserInstance } from './createUserModel';
import { TagAttributes, TagInstance } from './createTagModel';
import { RepoTagAttributes } from './createRepoTagModel';
export interface RepoAttributes {
    id: string;
    github_id: string;
    full_name: string;
    description: string;
    homepage: string;
    html_url: string;
    forks_count: string;
    stargazers_count: string;
    starred_at: Date;
    created_at: Date;
    updated_at: Date;
    user_id: string;
}
export interface RepoInstance extends Instance<RepoInstance, RepoAttributes>, RepoAttributes {
    getUser: BelongsToGetAssociationMixin<UserInstance>;
    setUser: BelongsToSetAssociationMixin<UserInstance, string>;
    createUser: BelongsToCreateAssociationMixin<UserAttributes, UserInstance>;
    getTags: BelongsToManyGetAssociationsMixin<TagInstance>;
    setTags: BelongsToManySetAssociationsMixin<TagInstance, string, RepoTagAttributes>;
    addTags: BelongsToManyAddAssociationsMixin<TagInstance, string, RepoTagAttributes>;
    addTag: BelongsToManyAddAssociationMixin<TagInstance, string, RepoTagAttributes>;
    createTag: BelongsToManyCreateAssociationMixin<TagAttributes, TagInstance, RepoTagAttributes>;
    removeTag: BelongsToManyRemoveAssociationMixin<TagInstance, string>;
    removeTags: BelongsToManyRemoveAssociationsMixin<TagInstance, string>;
    hasTag: BelongsToManyHasAssociationMixin<TagInstance, string>;
    hasTags: BelongsToManyHasAssociationsMixin<TagInstance, string>;
    countTags: BelongsToManyCountAssociationsMixin;
}
export default function (sequelize: Connection): Sequelize.Model<RepoInstance, RepoAttributes>;
