"use strict";
const Sequelize = require('sequelize');
function default_1(sequelize) {
    return sequelize.define('repo', {
        id: {
            type: Sequelize.UUID,
            defaultValue: Sequelize.UUIDV4,
            primaryKey: true,
        },
        github_id: {
            type: Sequelize.BIGINT,
            allowNull: false,
        },
        full_name: {
            type: Sequelize.TEXT,
            allowNull: false,
        },
        description: {
            type: Sequelize.TEXT,
        },
        homepage: {
            type: Sequelize.TEXT,
        },
        html_url: {
            type: Sequelize.TEXT,
            allowNull: false,
        },
        forks_count: {
            type: Sequelize.INTEGER,
            allowNull: false,
        },
        stargazers_count: {
            type: Sequelize.INTEGER,
            allowNull: false,
        },
        starred_at: {
            type: Sequelize.DATE,
            allowNull: false,
        },
    }, {
        underscored: true,
        indexes: [
            {
                fields: ['user_id', 'github_id'],
                unique: true
            }
        ]
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
//# sourceMappingURL=createRepoModel.js.map