"use strict";
const createUserModel_1 = require('./createUserModel');
const createRepoModel_1 = require('./createRepoModel');
const createTagModel_1 = require('./createTagModel');
const createRepoTagModel_1 = require('./createRepoTagModel');
function default_1(sequelize) {
    const User = createUserModel_1.default(sequelize);
    const Repo = createRepoModel_1.default(sequelize);
    const Tag = createTagModel_1.default(sequelize);
    const RepoTag = createRepoTagModel_1.default(sequelize);
    User.hasMany(Repo, {
        foreignKey: {
            allowNull: false
        }
    });
    Repo.belongsTo(User);
    User.hasMany(Tag, {
        foreignKey: {
            allowNull: false
        }
    });
    Tag.belongsTo(User);
    Repo.belongsToMany(Tag, { through: RepoTag });
    Tag.belongsToMany(Repo, { through: RepoTag });
    return {
        User: User,
        Repo: Repo,
        Tag: Tag,
        RepoTag: RepoTag,
        sequelize: sequelize,
    };
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
//# sourceMappingURL=index.js.map