import * as Sequelize from 'sequelize';
import { UserAttributes, UserInstance } from './createModels/createUserModel';
import { TagAttributes, TagInstance } from './createModels/createTagModel';
import { RepoAttributes, RepoInstance } from './createModels/createRepoModel';
import { RepoTagAttributes, RepoTagInstance } from './createModels/createRepoTagModel';
import { ConnectionOptions } from './createConnection';
export declare function create(opts: ConnectionOptions): {
    User: Sequelize.Model<UserInstance, UserAttributes>;
    Repo: Sequelize.Model<RepoInstance, RepoAttributes>;
    Tag: Sequelize.Model<TagInstance, TagAttributes>;
    RepoTag: Sequelize.Model<RepoTagInstance, RepoTagAttributes>;
    sequelize: Sequelize.Connection;
};
export { UserAttributes, UserInstance, TagAttributes, TagInstance, RepoAttributes, RepoInstance, RepoTagAttributes, RepoTagInstance };
